summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMKzero2015-09-09 16:03:25 +0200
committerMKzero2015-09-09 16:03:25 +0200
commit5e88698dd340ee3d2582b87e3eeb5923a5e0cce9 (patch)
treebd2e2858ff116a23a84e0e99a47c5bc78ec8046f
parentad5ab26434b75f2f48d643eb8a59211f5070a77a (diff)
downloadaur-5e88698dd340ee3d2582b87e3eeb5923a5e0cce9.tar.gz
Changed original build file to git source
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD34
2 files changed, 26 insertions, 12 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..4707e4cb000
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+electron-*.zip
+src/
+*.tar.xz
+yakyak/
diff --git a/PKGBUILD b/PKGBUILD
index 1097fecd484..353f96ff1e5 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,39 +1,50 @@
-# Maintainer: Max Kueng <me [at] maxkueng [dot] com>
-pkgname=yakyak
-pkgver=1.1.0
+# Maintainer: mkzero <me [at] linux-web-development [dot] de>
+pkgname=yakyak-git
+pkgver=1
pkgrel=1
pkgdesc="Desktop client for Google Hangouts"
arch=('x86_64' 'i686')
url="https://github.com/yakyak/yakyak"
license=('MIT')
makedepends=('unzip' 'nodejs' 'npm')
-depends=('libgcrypt15' 'libnotify' 'gconf' 'alsa-lib' 'nss' 'libxtst' 'gtk2' 'libgnome-keyring')
+depends=('libgcrypt15' 'libnotify' 'gconf' 'alsa-lib' 'nss' 'libxtst' 'gtk2' 'libgnome-keyring' 'git')
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
_electron_version=0.30.2
_platform=ia32
[[ $CARCH == 'x86_64' ]] && _arch='x64' || _arch='ia32'
-source=("https://github.com/yakyak/yakyak/archive/v${pkgver}.tar.gz"
+source=("yakyak::git+https://github.com/yakyak/yakyak#branch=master"
"yakyak.desktop")
source_i686=("https://github.com/atom/electron/releases/download/v${_electron_version}/electron-v${_electron_version}-linux-ia32.zip")
source_x86_64=("https://github.com/atom/electron/releases/download/v${_electron_version}/electron-v${_electron_version}-linux-x64.zip")
-sha256sums=('13a89d6376d59a8e979d43ec82c26d34a0f9b01fb13d49ff75af1b2eaec221e4'
- 'ba537052daca0bacd1f957792c24150eade47bba296423a7a7d48e92f3946587')
+sha256sums=('SKIP' 'ba537052daca0bacd1f957792c24150eade47bba296423a7a7d48e92f3946587')
sha256sums_i686=('ecd0529896d963e6b716eb1003e1747f07752dfd3850f08ed6e012190f30c1fa')
sha256sums_x86_64=('3475f41619c0764ddaae968c8b600365ef25fe6a66b4b046050c3020bc681f9c')
noextract=("electron-v${_electron_version}-linux-${_arch}.zip")
-build() {
+pkgver() {
+ cd "$srcdir$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
unzip "electron-v${_electron_version}-linux-${_arch}.zip" -d "${srcdir}/electron-${_electron_version}"
mv "${srcdir}/electron-${_electron_version}/electron" "${srcdir}/electron-${_electron_version}/yakyak"
+}
- cd "${srcdir}/yakyak-${pkgver}"
+build() {
+ cd "${srcdir}/yakyak"
npm install
./node_modules/gulp/bin/gulp.js
- cp -a "${srcdir}/yakyak-${pkgver}/app" "${srcdir}/electron-${_electron_version}/resources/"
+ cp -a "${srcdir}/yakyak/app" "${srcdir}/electron-${_electron_version}/resources/"
}
package() {
@@ -45,6 +56,5 @@ package() {
ln -s "/usr/share/${pkgname}/yakyak" "${pkgdir}/usr/bin/${pkgname}"
install -Dm644 "${srcdir}/yakyak.desktop" "${pkgdir}/usr/share/applications/yakyak.desktop"
-
- install -Dm644 "${srcdir}/yakyak-${pkgver}/src/icons/icon_256.png" "${pkgdir}/usr/share/pixmaps/yakyak.png"
+ install -Dm644 "${srcdir}/yakyak/src/icons/icon_256.png" "${pkgdir}/usr/share/pixmaps/yakyak.png"
}